@tailwind base;
@tailwind components;
@tailwind utilities;

* {
  box-sizing: border-box;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
}
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}
body {
  line-height: 1;

  margin: 0;
  overflow-x: hidden;
  font-family: "Lexend", sans-serif !important;
}
ol,
ul {
  list-style: none;
  padding: 0;
}
li {
  margin: 0.5rem 0;
}
p {
  margin: 5px 0;
}
blockquote,
q {
  quotes: none;
}
blockquote:before,
blockquote:after,
q:before,
q:after {
  content: "";
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}
a {
  color: white;
  text-decoration: none;
}
a:hover {
  text-decoration: none;
}
.underline:hover {
  text-decoration: underline;
}
.dark_Background {
  /* background: rgba(31, 37, 43, .8); */
  /* background-color: #6e6e6e; */
  background-color: #272727;
}
/* .divider {
  margin: 15px 0;
  border-bottom: 1px solid white;
  border-radius: 5px;
  height: 10px;
  margin-top: -10px !important;
  color: white !important;

  opacity: 0.03;
} */
.mute {
  opacity: 0.5;
}
.highlight {
  backdrop-filter: brightness(90%);
  border: 1px solid rgba(255, 255, 255, 0.5);
}
.flex {
  display: flex;
}
.flex-column {
  flex-direction: column;
}
.flex-row {
  flex-direction: row;
}
.flex-between {
  display: flex;
  justify-content: space-between;
}
.flex-around {
  display: flex;
  justify-content: space-around;
}
.flex-evenly {
  display: flex;
  justify-content: space-evenly;
}
.flex-start {
  display: flex;
  justify-content: flex-start;
}
.flex-end {
  display: flex;
  justify-content: flex-end;
}
.flex-center {
  display: flex;
  justify-content: center;
}
.flex-v {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}
.align-center {
  align-items: center;
}
.align-start {
  align-items: flex-start;
}
.align-end {
  align-items: flex-end;
}
.text-left {
  text-align: left;
}
.text-right {
  text-align: right;
}
.text-center {
  text-align: center;
}
.fade {
  visibility: visible;
  opacity: 1;
  transition: opacity 50ms linear;
}
.inactive {
  visibility: hidden;
  opacity: 0;
  position: absolute !important;
  bottom: 0;
  transition: visibility 0s 0ms, opacity 50ms linear;
}
.active {
  display: block !important;
}
.invisible {
  display: none !important;
}

.noselect {
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none; /* Safari */
  -khtml-user-select: none; /* Konqueror HTML */
  -moz-user-select: none; /* Old versions of Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
  user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome, Edge, Opera and Firefox */
}

.noevent {
  pointer-events: none;
}
.nomargin * {
  margin: 2px;
}
/* Rounded sliders */
.slider.round {
  border-radius: 0;
}

/* .slider.round:hover {
  background: #000;
} */

.slider.round:before {
  border-radius: 0%;
}

/* width */
::-webkit-scrollbar {
  width: 0rem;
}

/* Track */
::-webkit-scrollbar-track {
  appearance: none;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: transparent;
  /* border: 1px solid black;
  opacity: .5; */
  border-radius: 0;
}

/* Handle on hover */
/* ::-webkit-scrollbar-thumb:hover {
  background: rgb(97, 85, 141);
} */
